# class Goo::CanvasPolyline

### Public Class Methods

new(parent, close_path, points, *args) click to toggle source

    # File lib/goocanvas.rb, line 97
    def initialize(parent, close_path, points, *args)
      _initialize(parent, close_path)
      set_points(points)
      init_props(*args)
    end

new_line(parent, x1, y1, x2, y2, *args) click to toggle source

    # File lib/goocanvas.rb, line 109
    def self.new_line(parent, x1, y1, x2, y2, *args)
      self.new(parent, false, [ x1, y1, x2, y2 ], *args)
    end

### Public Instance Methods

points=(points)
Alias for: set_points
set_points(points) click to toggle source

    # File lib/goocanvas.rb, line 103
    def set_points(points)
      points = CanvasPoints.new(points) unless points.instance_of?(CanvasPoints)
      set_property(:points, points)
    end

Also aliased as: points=